gpsmap(1)

NAME
gpsmap - Wireless sniffing and monitoring

SYNOPSIS
gpsmap [-hviNIDVGMtbruapek] [-g config-file] [-o output-file]
[-f filter-list] [-F filter-type-list] [-z numthreads] [-S mapsource] [-c coords] [-s scale]
[-m usermap] [-d mapsize] [-n netcolors] [-O offset] [color-saturation] [map-intensity] [-R range-opacity] [feather-range] [-K bounds-opacity]
[-U hull-opacity] [-A scatter-opacity] [-B scatter-size] [feather-scatter]
[-Z draw-power-zoom]
[-P power-opacity] [-Q power-res] [-q power-colors] [-E center-opacity]
[-H center-size] [-l label-list] [-L label-orientation]
[-K legend-opacity] [-F feature-order]

GPSFile1 [GpsFile2 ... GpsFileN]

DESCRIPTION
gpsmap reads GPS and Network XML datafiles and plots networks on downloaded vector maps or satellite photos or user-supplied images.

USAGE

-h, --help
    Display usage

-v, --verbose
    Verbose output

-g, --config-file FILE
    Use alternate config file FILE

-o, --output FILE
    Image output file

-f, --filter LIST
    Comma separated list of MACs to filter

-i, --invert-filter
    Process only MACs specified in the filter list

-F, --typefilter LIST
    Comma separated list of network types (ap,adhoc,probe,turbocell,data,unknown) to filter

-I, --invert-typefilter
    Process only MACs and types specified in the filter list

-z, --threads NUM
    Spawn NUM threads for power interpolation calculations

-N, --pure-avg-center
    Use old pure-average center to guess the center of a network by averaging all of the sample points, instead of the new code which tries to find the most relevant cluster of sample points.

-S, --map-source SOURCE
    Source to download maps from (-1 = Null; 0 = Mapblast; 1 = MapPoint(broken); 2 = Terraserver; 3 = Tiger Census; 4 = Earthamap; 5 = Terraserver Topographic). Default: 4

-D, --keep-gif
    Keep downloaded GIF file

-V, --version
    Version of GPSMap

USAGE (IMAGE OPTIONS)

-c, --coords LAT,LON
    Force map center to LAT,LON instead of automatically calculated location

-s, --scale SCALE
    Force map scale of SCALE instead of automatically calculated scale

-m, --user-map MAP
    Use custom map file instead of downloading one. If center and scale are specified in the map title they will be used.

-d, --map-size X,Y
    Download map at XSIZE,YSIZE. Default: 1280x1024

-n, --network-colors COLORS
    Color networks by COLORS (0 = Random rotation; 1 = Color based on WEP and factory default; 2 = Color based on network channel). Default: 0

-G, --no-greyscale
    Don't convert map to greyscale

--color-saturation PERCENTAGE
    Set background map image color saturation. 0 is greyscale, 100 is full normal colors.

--map-intensity [-]PERCENTAGE
    Set background map intensity. Negative percentages cause the map to be layered over a black background, while positive percentages cause the map to be layered over a white background.

-M, --metric
    Download map with metric measurements (if possible)

-O, --offset XOFF,YOFF
    Offset map by XOFF,YOFF pixels.

USAGE (DRAWING OPTIONS)

-t, --draw-track
    Draw travel track

-Y, --draw-track-width WIDTH
    Travel track width. Default: 3

-b, --draw-bounds
    Draw network bounding box

-K, --draw-bounds-opacity OPACITY
    Opacity to draw bounding boxes with. Default: 10

-r, --draw-range
    Draw estimated range circles

-R, --draw-range-opacity OPACITY
    Opacity to draw range circles with. Default: 70

--feather-range
    Feather the range circles out into transparency

-u, --draw-hull
    Draw convex hull for each network

-U, --draw-hull-opacity OPACITY
    Opacity to draw convex hull with. Default: 70

-a, --draw-scatter
    Draw scatter plot of data points

-A, --draw-scatter-opacity OPACITY
    Scatter plot opacity Default: 100

--feather-scatter
    Feather the edges of scatterplot circles. VERY SLOW.

-B, --draw-scatter-size SIZE
    Draw scatter at radius size. Default: 2

-Z, --draw-power-zoom
    Power based scatter plot range for scaling colors [Default: 0] 0 determines upper limit based on max observed for network 1-255 is user defined upper limit

-p, --draw-power
    Draw interpolated network power

-P, --draw-power-opacity OPACITY
    Interpolated power opacity. Default: 70

-Q, --draw-power-res RES
    Interpolated power resolution. Default: 5

-q, --draw-power-colors COLORS
    Interpolated power color set. (0 is a ramp though RGB colorspace; 1 is the origional color set; 2 is weathermap radar style). Default: 0

-e, --draw-center
    Draw dot at center of network range

-E, --draw-center-opacity OPACITY
    Center dot opacity. Default: 100

-H, --draw-center-size SIZE
    Center dot at radius size. Default: 2

-l, --draw-labels LIST
    Draw network label types, comma-seperated list. Labels are drawn in the order given. Valid labels are bssid, ssid, info, location, manuf.

-L, --draw-label-orient ORIENT
    Label orientation (0 upper left, 8 lower right) Default: 7

-k, --draw-legend
    Draw map legend

-K, --draw-legend-opacity OPACITY
    Legend opacity [Default: 90]

-F, --feature-order ORDER
    String representing the order map features are drawn. (p: interpolated power; t: tracks; b: bounds; r: range circles; h: convex hulls; s: scatter plot; c: center dot; l: labels) Default: 'ptbrhscl'.

DRAWING METHODS

  TRACK DRAWING
Draws a blue track along the traveled path, based on the track data saved by Kismet.

  BOUNDING RECTANGLE
Draws the bounding rectangle around the extreme points of each network.

  RANGE CIRCLE
Estimates the range of a network based on the average center and the distance to the closest extreme corner. Not exact, but often useful for estimating the range of the network.

  CONVEX HULL
Convex hull of all sample points for each network. This will display the exact detected range of the networks.

  SCATTER PLOT
Draws a dot for every detected packet point.

  POWER INTERPOLATION
By far the most CPU intensive, power interpolation forms a grid over the image and attempts to interpolate the power for points that aren't directly sampled. For this graph to be a reasonable representation of reality, samples around the entire area, preferably forming a grid or mesh, should be taken.

  NETWORK CENTER
Simply draw a dot in the averaged center of each network

  LABELS
Labels are drawn in the order requested in the list. Labels are drawn based on the center of the network and the label orientation. There is some logic to attempt to prevent label overlap, but on extremely crowded maps it will be unavoidable.

  LEGEND
Draws a legend on the bottom of the map with the coordinates, scale, total sampled networks, networks visible on the current plot, and dynamic information based on the plots selected and the network color methods requested.

BUGS
While not technically a bug, source 1 (MapPoint) are nonfunctional. The vendors have changed their serivice in such a way that it is impossible to download the map images from them. GPSMap still supports these sources, but ONLY for predownloaded images that may have been kept previously. Attempts to use these sources when a user map is not available will fail.

SEE ALSO
kismet(1)

AUTHOR
Mike Kershaw